package org.eclipse.nebula.widgets.xviewer.customize.dialog;

import org.eclipse.nebula.widgets.xviewer.XViewerColumn;
import org.eclipse.nebula.widgets.xviewer.customize.CustomizeData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

/**
 * @author Chris Merrill
 */
public interface CustomizeDialogUISection {
   public String getName();

   public Control createSection(Composite parent);

   public void readFromCustomData(CustomizeData customData);

   public void saveToCustomData(CustomizeData customData);

   public void columnVisibilityChanged(java.util.List<XViewerColumn> visible, java.util.List<XViewerColumn> hidden);
}


